PO4A-NORMALIZE(1p)

NOM
po4a-normalize - Normaliser un fichier de documentation en le faisant analyser puis réécrire par po4a

SYNOPSIS
po4a-normalize -f fmt maître.doc

DESCRIPTION
L'objectif du projet po4a [PO for anything -- PO pour tout] est de simplifier la traduction (et de façon plus intéressante, la maintenance des traductions) en utilisant les outils gettext dans des domaines pour lesquels ils n'étaient pas destinés, comme la documentation.

Le script po4a-normalize est un outil de débogage permettant de s'assurer que po4a ne modifie pas les documents plus que de raison. Il ne devrait être utile que lors du développement d'un nouveau module ou si vous doutez de la qualité d'un module.

Le document généré est écrit dans po4a-normalize.output tandis que le fichier PO généré est écrit dans po4a-normalize.po. Impossible de changer ça ;)

OPTIONS

-o, --option
    Passe une ou des options supplémentaires au greffon de format. Spécifiez chaque option en utilisant le format name=value. Veuillez vous référer à la documentation de chaque greffon pour la liste des options valides et leurs significations.

-b, --blank
    Crée une traduction « blanche » du document. Le document traduit sera généré en supposant que tous les messages sont traduits en une espace ou une nouvelle ligne.

    C'est utile pour vérifier les parties d'un document qui ne peuvent pas être traduites.

-h, --help
    Affiche un message d'aide.

--help-format
    Énumère les formats de documentations connus de po4a.

-f, --format
    Type de format de la documentation que vous souhaitez traiter. Utilisez l'option --help-format pour afficher la liste des formats disponibles.

-M, --master-charset
    Jeu de caractères du fichier contenant les documents à traduire.

-V, --version
    Affiche la version du script et quitte.

VOIR AUSSI
po4a-gettextize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTEURS
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

TRADUCTION
 Martin Quinson (mquinson#debian.org)

COPYRIGHT ET LICENCE
Copyright 2002-2012 par SPI, inc.

Ce programme est un logiciel libre ; vous pouvez le copier et / ou le modifier sous les termes de la GPL (voir le fichier COPYING).